package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.CommonCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetThirdPartyAccessInfoReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetThirdPartyAccessInfoResp;

@Service
public class CommonCloudServiceClient extends BasicCloudClientSupport
		implements
			CommonCloudService {

	private static final long serialVersionUID = 6826389318398035229L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public GetThirdPartyAccessInfoResp getThirdPartyAccessInfo(GetThirdPartyAccessInfoReq req) {
		return post("common/getThirdPartyAccessInfo", req, GetThirdPartyAccessInfoResp.class);
	}

}
