package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.CourseCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetCourseReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveCourseReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetCourseResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveCourseResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Service
public class CourseCloudServiceClient extends BasicCloudClientSupport
		implements
			CourseCloudService {

	private static final long serialVersionUID = -5246359107103119265L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SaveCourseResp saveCourse(SaveCourseReq req) {
		return post("course/saveCourse", req, SaveCourseResp.class);
	}

	@Override
	public GetCourseResp getCourse(GetCourseReq req) {
		return post("course/getCourse", req, GetCourseResp.class);
	}

}
