package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.DemoCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetXxxReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetXxxResp;

/**
 * demo 云服务客户端
 * 
 * @author WANGWEI
 *
 */
@Service
public class DemoCloudServiceClient extends BasicCloudClientSupport implements DemoCloudService {

	private static final long serialVersionUID = -7456923008162697199L;

	@Autowired
	RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	public GetXxxResp getXxx(GetXxxReq req) {
		return post("demo/getXxx", req, GetXxxResp.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

}
