package cn.com.qmth.examcloud.core.questions.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.questions.api.ExtractConfigCloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetBasePaperReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetPaperReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionListReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetBasePaperResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetPaperResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionListResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionResp;

/**
 * @author 		weiwenhai
 * @date 		2018.8.15
 * @company		qmth
 * @describle	调卷远程调用服务
 *
 */
@Service
public class ExtractConfigCloudServiceClient extends BasicCloudClientSupport implements ExtractConfigCloudService{

	private static final long serialVersionUID = 5635276170773870907L;

	
	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	public GetPaperResp getPaper(GetPaperReq req) {
		return post("extract_config/getPaper", req, GetPaperResp.class);
	}
	
	@Override
	public GetQuestionResp getQuestion(GetQuestionReq req) {
		return post("extract_config/getQuestion", req, GetQuestionResp.class);
	}
	
	@Override
	public GetBasePaperResp getBasePaper(GetBasePaperReq req) {
		return post("extract_config/getBasePaper", req, GetBasePaperResp.class);
	}
	
	@Override
	public GetQuestionListResp getQuestionList(GetQuestionListReq req) {
		return post("extract_config/getQuestionList", req, GetQuestionListResp.class);
	}


	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
