package cn.com.qmth.examcloud.core.questions.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetBasePaperReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetPaperReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionListReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetBasePaperResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetPaperResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionListResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionResp;

/**
 * @author 		weiwenhai
 * @date 		2018.8.15
 * @company		qmth
 * @describle	调卷规则远程调用请求接口
 */
public interface ExtractConfigCloudService extends CloudService{

	/**
	 * 网考  根据调卷规则  抽取考试试卷
	 * @param req
	 * @return
	 */
	GetPaperResp getPaper(GetPaperReq req);
	
	/**
	 * 网考  根据调卷规则  抽取单个试题
	 * @param req
	 * @return
	 */
	GetQuestionResp getQuestion(GetQuestionReq req);
	
	/**
	 * 网考  根据试卷id 抽取考试试卷
	 * @param req
	 * @return
	 */
	GetBasePaperResp getBasePaper(GetBasePaperReq req);
	
	/**
	 * 根据试题id集合获取试题对象
	 * @param req
	 * @return
	 */
	GetQuestionListResp getQuestionList(GetQuestionListReq req);
}
